Subject: Re: Compiling on Windows

From: Sebastian Schuberth <[email-masked]>
Date: Tue, 18 Oct 2011 18:07:20 +0200

On 18.10.2011 16:02, Erik Faye-Lund wrote:

>> there. Foolishly, I had glossed over the msysgit installers on the
>> project home (I think I thought they were Git for Windows installers).
> 
> Yeah, the installer sets up a fully self-contained MSYS-based
> development environment to hack on Git for Windows.

I keep advertizing my mingwGitDevEnv [1] project which aims to become an alternative to the current msysGit net installer [2]. The advantage of mingwGitDevEnv will be that it comes with an mingw-get based environment, i.e. you can very easily update / add new MinGW / MSYS tools directly from upstream.

Just today I reached a state were mingwGitDevEnv can successfully build git.exe, but git-gui etc. are still missing due to a lack of mingw-get compatible Tcl/Tk packages.

[1] https://github.com/sschuberth/mingwGitDevEnv
[2] http://msysgit.googlecode.com/files/msysGit-netinstall-1.7.7-preview20111014.exe

-- 
Sebastian Schuberth